> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cald.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of all phone numbers that you own

> Get a list of available phone numbers



## OpenAPI

````yaml GET /phonenumbers
openapi: 3.0.1
info:
  title: AI Phone Call Service API
  description: >-
    API for managing AI-based phone calls, including call initiation and result
    retrieval.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://my.cald.ai/client/api/v1
security:
  - apiKeyAuth: []
paths:
  /phonenumbers:
    get:
      description: Get a list of available phone numbers
      responses:
        '200':
          description: List of available phone numbers
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PhoneNumber'
components:
  schemas:
    PhoneNumber:
      type: object
      properties:
        phoneNumberId:
          type: string
          description: The phone number ID of the phone number resource
        phoneNumber:
          type: string
          description: >-
            The phone number, prefixed with the country code, for example,
            `+1558873402`
        price:
          type: number
          description: The monthly price of the phone number in USD
        agentId:
          type: string
          description: >-
            The agent ID of the agent that the phone number is assigned to. When
            making inbound calls, the agent will be called.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Your API key, e.g. `caldLiveDe39a3accb206dd615f30d118e519df0`

````